Subject: Re: [PATCH 03/10] i18n: mark relative dates for translation

From: Johannes Sixt <[email-masked]>
Date: Wed, 25 Apr 2012 13:07:16 +0200

Am 4/25/2012 12:46, schrieb Nguyen Thai Ngoc Duy:
> 2012/4/25 Junio C Hamano <[email-masked]>:
>>>       /* Give years and months for 5 years or so */
>>>       if (diff < 1825) {
>>> ...
>>>       }
>>>       /* Otherwise, just years. Centuries is probably overkill. */
>>> -     snprintf(timebuf, timebuf_size, "%lu years ago", (diff + 183) / 365);
>>> -     return timebuf;
>>> +     strbuf_addf(timebuf,
>>> +              Q_("%lu year ago", "%lu years ago", (diff + 183) / 365),
>>> +              (diff + 183) / 365);
>>>  }
>>
>> This is just a tangent, but could we possibly come here and say "1 year
>> ago"?
> 
> Nice catch. Singular form here is unnecessary. If you plan to revert
> that, please put a comment so nobody will attempt to convert it to
> Q_() again next time while searching for possible candidates.

I am sure that there are languages (Russian? Polish?) where a variation is
needed not only for the singular, but also for plural depending on the
number, so we still want to have this wrapped in Q_().

-- Hannes